Subject: bug#34700: rm refuses to remove files owned by the user, even in force mode

From: Nicolas Mailhot <[email-masked]>
Date: Fri, 01 Mar 2019 15:14:43 +0100

Le vendredi 01 mars 2019 à 07:58 -0600, Eric Blake a écrit :
> 
> The behavior of -f is specified by POSIX:
> http://pubs.opengroup.org/onlinepubs/9699919799/utilities/rm.html
> 
> and is specified to suppress prompts and avoid diagnostics on missing
> files, but NOT a means to force deletion via changing directory
> permissions.  For that, you'd need a new option, because we can't
> change
> the long-specified meaning of -f without breaking scripts.

Well it seems people got spoiled by other OSes where read-only is not-
really-read-only-when-you-own-the-file (IIRC vi also ignores permissions
in force mode).

So could a really-force flag be added?

Regards,

-- 
Nicolas Mailhot